<?PHP
/**
 * This file contains an exception class for usage of unaccepted currencies.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised when trying to use a currency that is not
 * accepted by museum-digital.
 */
final class MDInvalidCurrency extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        $errorMsg = 'The following currency is not available: ' . $this->getMessage();
        return $errorMsg;

    }
}
